"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UiServerStartedEvent = void 0;
function _pubsub() {
  const data = require("@teambit/pubsub");
  _pubsub = function () {
    return data;
  };
  return data;
}
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); } /* eslint-disable max-classes-per-file */
class UiServerStartedEventData {
  constructor(targetHost, targetPort, uiRoot) {
    this.targetHost = targetHost;
    this.targetPort = targetPort;
    this.uiRoot = uiRoot;
  }
}
class UiServerStartedEvent extends _pubsub().BitBaseEvent {
  constructor(timestamp, targetHost, targetPort, uiRoot) {
    super(UiServerStartedEvent.TYPE, '0.0.1', timestamp, new UiServerStartedEventData(targetHost, targetPort, uiRoot));
    this.timestamp = timestamp;
    this.targetHost = targetHost;
    this.targetPort = targetPort;
    this.uiRoot = uiRoot;
  }
}
exports.UiServerStartedEvent = UiServerStartedEvent;
_defineProperty(UiServerStartedEvent, "TYPE", 'ui-server-started');

//# sourceMappingURL=ui-server-started-event.js.map